package kafka

import (
	nkfk "git.noahlan.cn/northlan/ntools-go/kafka"
	"github.com/Shopify/sarama"
)

var DefaultProducerConfig = &nkfk.ProducerConfig{
	RequiredAcks:    sarama.WaitForAll,
	Partitioner:     sarama.NewHashPartitioner,
	IsReturnSuccess: true,
	Marshaler:       ProtobufMarshaler,
}
